HP Linux Imaging and Printing Icon

HP Linux Imaging and Printing

Hewlett-Packard's Linux imaging and printing software

4.0 Stars (45)
17,992 Downloads (This Week)
Last Update:
Download hplip-3.15.11.tar.gz
Browse All Files
Linux

Description

The Hewlett-Packard Linux Imaging and Printing Project provides a unified single and multi-function connectivity solution for Linux. For support and help, please visit https://launchpad.net/hplip

HP Linux Imaging and Printing Web Site

KEEP ME UPDATED

User Ratings

★★★★★
★★★★
★★★
★★
33
1
0
1
10
ease 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
features 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
design 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 4 / 5
support 1 of 5 2 of 5 3 of 5 4 of 5 5 of 5 3 / 5
Write a Review

User Reviews

  • pooky2483
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    I'm running Kubuntu 14.04 and it's a fresh install, I have 3.15.9 installed and tried the automatic install of 3.15 11 and it failed so I tried a manual install, that failed too. I was told I need to install 'libtool', so I did. I tried to install 3.15.11 again, manually this time and it STILL told me 'libtool' was NOT installed. So, I gave up and I'm staying at 3.15.9. I will try a reboot later and see if that changes things...

    Posted 01/13/2016
  • koebln
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    There is a problem with HPLIP working on Ubuntu 15.10. If you need to install HP Plugins for your printer the programm runs into an endless loop. The problem occurs independant from the HPLIP Version. Checked with version 3.15.7 from the Ubuntu Repo's and a fresh installed version 3.15.11. It seems to be a problem with switching into the sudo-environment, because the program prevents from being executed as root. The problem does not occure on Ubuntu 14.04 LTS and HPLIP 3.14.3, where the programm needs to be executed as root.

    Posted 12/14/2015
  • babbzzz
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Hi Team! I couldn't find a way to reach you. So I thought I'll mention it here. I use ElementaryOS and was installing hplip from the instructions at hplipopensource dot com/hplip-web/install/manual/distros/ubuntu.html While installing the dependencies, I had to install python-dev as well. That is not mentioned within the dependencies heading. Needless to say, great piece of software!

    Posted 11/25/2015
  • youman9001
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    Fedora Core 23 XFCE x64 - hp-plugin hangs in GUI and interactive mode after: "Do you accept the license terms..." step. On Fedora Core 22 was the same:(

    Posted 11/12/2015
  • raspitux
    1 of 5 2 of 5 3 of 5 4 of 5 5 of 5

    hi, i would say that installation in debian wheezy 7.8 (i use raspi 2) goes wrong, when you are be asking for the password and you digit it, there is an error and it says password wrong, i try using sudo but at the end it cant download the plugin, i give 2 stars cause in lubuntu the installation goes ok, but in debian no, thats all, sorry for my bad english and i think you ll fix this problem

    Posted 08/20/2015
Read more reviews

Additional Project Details

Languages

English

Intended Audience

System Administrators, End Users/Desktop

User Interface

X Window System (X11), Console/Terminal, Qt

Programming Language

Python, C++, C

Registered

2005-10-05
Screenshots can attract more users to your project.
Features can attract more users to your project.